curl --request POST \
--url https://openplatform.gateapi.io/payment/open/institution/v1/pay/address/refundconvert \
--header 'Content-Type: application/json' \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
--data '
{
"refundRequestId": "483902480932841787",
"prepayId": "1665553233227833",
"refundOrderCurrency": "BTC",
"refundPayCurrency": "USDT",
"refundReason": "refund test",
"receiverId": 123456
}
'{
"status": "SUCCESS",
"code": "00000",
"errorMessage": "",
"data": {
"refundRequestId": "483902480932841787",
"prepayId": "1665553233227833",
"orderCurrency": "BTC",
"orderAmount": "2.2",
"refundOrderAmount": "1.1",
"payCurrency": "USDT",
"payAmount": "44000",
"refundPayAmount": "1000.1"
}
}Initiate a refund for the convert address payment order, which is only applicable to the convert address payment order.
curl --request POST \
--url https://openplatform.gateapi.io/payment/open/institution/v1/pay/address/refundconvert \
--header 'Content-Type: application/json' \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
--data '
{
"refundRequestId": "483902480932841787",
"prepayId": "1665553233227833",
"refundOrderCurrency": "BTC",
"refundPayCurrency": "USDT",
"refundReason": "refund test",
"receiverId": 123456
}
'{
"status": "SUCCESS",
"code": "00000",
"errorMessage": "",
"data": {
"refundRequestId": "483902480932841787",
"prepayId": "1665553233227833",
"orderCurrency": "BTC",
"orderAmount": "2.2",
"refundOrderAmount": "1.1",
"payCurrency": "USDT",
"payAmount": "44000",
"refundPayAmount": "1000.1"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.gate.com/llms.txt
Use this file to discover all available pages before exploring further.
POST /payment/open/institution/v1/pay/address/refundconvert endpoint. The full schema, parameters, and examples are rendered from the linked OpenAPI definition above.
Initiate a refund for the convert address payment order, which is only applicable to the convert address payment order. If the provided parameters correspond to the direct payment order, an error message will be returned.
Merchant client ID, obtained from GatePay platform
HMAC-SHA256 signature for request validation
Timestamp in milliseconds, must not differ from server time by more than 5 minutes
Random nonce for replay attack prevention
Required delegated-subject header. Provide the initiating account ID for this request. For institution merchant APIs, this is typically the target sub-account ID; for institution charge and transfer APIs, it can be either an institution account ID or a sub-account ID.
Merchant request refund number
Payment order ID for refund
Refund order currency
Refund payment currency
Reason for refund
Gate system user ID for refund recipient in address payment
Refund payment amount in the corresponding currency